import { Component, OnInit } from '@angular/core';
import { Post } from '../../model/Post';
import { PostService } from '../services/data/post.service';

@Component({
  selector: 'app-feed',
  templateUrl: './feed.component.html',
  styleUrl: './feed.component.scss'
})
export class FeedComponent implements OnInit {
  posts: Array<Post> | undefined;

  constructor(private postService: PostService) { }

  ngOnInit(): void {
    this.postService.getFeed(10, 0)
      .then(posts => { this.posts = posts; })
      .catch(()=> { alert('failed to fetch feed'); });
  }
}
