import { Component } from '@angular/core';
import { PostService } from '../services/data/post.service';
import { FormControl, FormGroup, Validators } from '@angular/forms';
import { Router } from '@angular/router';

@Component({
  selector: 'app-new-post',
  templateUrl: './new-post.component.html',
  styleUrls: ['./new-post.component.scss', '../shared/views/post/post.component.scss']
})
export class NewPostComponent {
  contentGroup: FormGroup = new FormGroup({
    content: new FormControl('', [Validators.required])
  });
  constructor(private post: PostService, private router: Router,) { }

  publish() {
    if (this.contentGroup.valid) {
      this.post.newPost(this.contentGroup.get("content")?.value as String, "")
        .then(() => { this.router.navigateByUrl("/feed") })
        .catch(() => alert("failed to publish post"));
    } else {
      alert("content empty");
    }
  }

}
