import { Injectable } from '@angular/core';
import { User } from '../../../model/User';
import { AuthService } from '../auth/auth.service';
import { AngularFirestore } from '@angular/fire/compat/firestore';
import { user } from '@angular/fire/auth';

@Injectable({
  providedIn: 'root'
})
export class UserService {
  constructor(private auth: AuthService, private afs: AngularFirestore) { }

  getUser(username: String): Promise<User> {
    return new Promise<User>((resolve, reject) => {
      if (this.auth.checkAllowed()) {
        if (username != undefined) {
          this.afs.collection<User>('user', ref => ref.where('username', '==', username)).valueChanges().subscribe(data => { resolve(data[0] as User) });
        } else {
          this.auth.getUser().subscribe(cred => {
            this.afs.collection<User>('user', ref => ref.where('id', '==', cred?.uid)).valueChanges().subscribe(user => { resolve(user[0]) })
          });
        }
      } else {
        reject();
      }
    });
  }

  createUser(username: String, email: String, id: String) {
    return new Promise<void>((resolve, reject) => {
      this.afs.collection('user').doc(username as string).set({
        username: username,
        email: email,
        picture: "/assets/placeholder-profile-picture.png",
        id: id
      });
      resolve();
    });
  }
}
