import { Component, ViewChild } from '@angular/core';
import { Router, RouterModule } from '@angular/router';
import { AuthService } from '../../services/auth/auth.service';
import { MatSidenav, MatSidenavModule } from '@angular/material/sidenav';
import { MatButtonModule } from '@angular/material/button';

@Component({
  selector: 'app-side-menu',
  standalone: true,
  imports: [RouterModule, MatSidenavModule, MatButtonModule],
  templateUrl: './side-menu.component.html',
  styleUrl: './side-menu.component.scss'
})
export class SideMenuComponent {
  @ViewChild(MatSidenav) nav?: MatSidenav;

  constructor(private router: Router, private auth: AuthService) { }

  logout() {
    this.auth.logout()
      .then(() => { this.router.navigateByUrl('/auth/login') })
      .catch(() => { alert('failed to log out') });
  }
}
