import { Component, Input, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SmallUserComponent } from '../small-user/small-user.component';
import { Post } from '../../../../model/Post';
import { NgIf } from '@angular/common';
import { AuthService } from '../../../services/auth/auth.service';
import { PostService } from '../../../services/data/post.service';

@Component({
  selector: 'app-post',
  standalone: true,
  imports: [SmallUserComponent, NgIf, CommonModule],
  templateUrl: './post.component.html',
  styleUrl: './post.component.scss'
})
export class PostComponent implements OnInit {

  @Input() post: Post | undefined;

  isOwned: boolean = false;
  deleted: boolean = false;

  constructor(private auth: AuthService, private postSv: PostService) { }

  ngOnInit(): void {
    this.auth.getUser().subscribe(user => {
      this.isOwned = user?.email == this.post?.user.email;
    });
  }

  remove() {
    this.postSv.removePost(this.post?.id as String)
      .then(() => {
        this.deleted = true;
        console.log(this.deleted);
      })
      .catch(() => {
        alert("failed to delete post");
      })
  }
}
